summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Smith <matthew@gentoo.org>2022-10-17 18:49:38 +0100
committerMatthew Smith <matthew@gentoo.org>2022-11-25 08:55:31 +0000
commitc8bbd4cf6d3b4f87a78dddf7d85fabe68fc27b20 (patch)
tree40405aa0351c46343836e1bfe52eeca1547c5dee /eclass/waf-utils.eclass
parentwaf-utils.eclass: pass EXTRA_ECONF to configure (diff)
downloadgentoo-c8bbd4cf6d3b4f87a78dddf7d85fabe68fc27b20.tar.gz
gentoo-c8bbd4cf6d3b4f87a78dddf7d85fabe68fc27b20.tar.bz2
gentoo-c8bbd4cf6d3b4f87a78dddf7d85fabe68fc27b20.zip
waf-utils.eclass: set --jobs=1 for configure and install
MAKEOPTS was only respected for src_compile, leading to out-of-memory issues for some users. Force number of concurrent jobs to 1 in src_configure and src_install phases as it doesn't provide much of a benefit anyway. Closes: https://bugs.gentoo.org/715542 Signed-off-by: Matthew Smith <matthew@gentoo.org>
Diffstat (limited to 'eclass/waf-utils.eclass')
-rw-r--r--eclass/waf-utils.eclass5
1 files changed, 3 insertions, 2 deletions
diff --git a/eclass/waf-utils.eclass b/eclass/waf-utils.eclass
index 2a386e991653..66041fc3f60e 100644
--- a/eclass/waf-utils.eclass
+++ b/eclass/waf-utils.eclass
@@ -99,6 +99,7 @@ waf-utils_src_configure() {
LINKFLAGS="${CFLAGS} ${LDFLAGS}"
PKGCONFIG="$(tc-getPKG_CONFIG)"
"${WAF_BINARY}"
+ "--jobs=1"
"--prefix=${EPREFIX}/usr"
"${conf_args[@]}"
"${@}"
@@ -129,8 +130,8 @@ waf-utils_src_compile() {
waf-utils_src_install() {
debug-print-function ${FUNCNAME} "$@"
- echo "\"${WAF_BINARY}\" --destdir=\"${D}\" ${*} install"
- "${WAF_BINARY}" --destdir="${D}" "${@}" install || die "Make install failed"
+ echo "\"${WAF_BINARY}\" --jobs=1 --destdir=\"${D}\" ${*} install"
+ "${WAF_BINARY}" --jobs=1 --destdir="${D}" "${@}" install || die "Make install failed"
# Manual document installation
einstalldocs